import PropTypes from "prop-types";
import {Provider} from "react-redux";
import {store} from "../redux";
import Inicializar from "./Inicializar";

const SaasApp = ({
	customReducers,
	aplicacion,
	devSaasURL,
	devAuthURL,
	dev = false,
	idioma,
	messages,
	children
}) => {
	return (
		<Provider store={store(customReducers)}>
			<Inicializar
				aplicacion={aplicacion}
				devSaasURL={dev ? devSaasURL : undefined}
				devAuthURL={dev ? devAuthURL : undefined}
				idioma={idioma}
				messages={messages}
			>
				{children}
			</Inicializar>
		</Provider>
	);
};

SaasApp.propTypes={
	customReducers: PropTypes.object,
	aplicacion: PropTypes.string.isRequired,
	devSaasURL: PropTypes.string,
	devAuthURL: PropTypes.string,
	dev: PropTypes.bool,
	idioma: PropTypes.string,
	messages: PropTypes.object,
	children: PropTypes.element.isRequired
};

export default SaasApp;
