import {useEffect} from "react";
import {useDispatch,useSelector} from "react-redux";
import {logout, refreshToken} from "../redux";

const useCheckLogin = (devURL) => {
	const dispatch = useDispatch();
	const login = useSelector(store => store.login);
	const instancia = useSelector(store => store.aplicacion.instancia);

	useEffect(() => {
		if(login.autenticado && !!login.expiracion && new Date(login.expiracion) < new Date()){
			if(login.refreshToken){
				dispatch(refreshToken(devURL,instancia.clientCredentials,login.refreshToken));
			}
			else{
				dispatch(logout());
			}
		}
	},[devURL,instancia.clientCredentials,login,dispatch]);

	return login.autenticado;
};

export default useCheckLogin;